/*
 * kate: space-indent on; indent-width 2; mixedindent off; indent-mode cstyle; remove-trailing-space on;
 * Copyright (C) 2008 the xine project
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This file is part of xine, a free video player.
 *
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *
 * video_out_vdpau.c, a video output plugin
 * using VDPAU (Video Decode and Presentation Api for Unix)
 *
 *
 */

#ifndef __VIDEO_OUT__VDPAU_H__
#define __VIDEO_OUT__VDPAU_H__

#include <xine.h>

#include <vdpau/vdpau_x11.h>


typedef struct {
  x11_visual_t  x11;  // if x11.d (drawable) is zero, it will use this extended struct

  VdpDevice device;

  VdpGetProcAddress *vdp_get_proc_address;

  VdpPresentationQueueTargetCreateX11 *vdp_queue_target_create_x11;
  VdpPresentationQueueTargetDestroy *vdp_queue_target_destroy;
  VdpPresentationQueueCreate *vdp_queue_create;
  VdpPresentationQueueDestroy *vdp_queue_destroy;
  VdpPresentationQueueDisplay *vdp_queue_display;
  VdpPresentationQueueBlockUntilSurfaceIdle *vdp_queue_block;
  VdpPresentationQueueSetBackgroundColor *vdp_queue_set_background_color;
  VdpPresentationQueueGetTime *vdp_queue_get_time;
  VdpPresentationQueueQuerySurfaceStatus *vdp_queue_query_surface_status;

  VdpPreemptionCallbackRegister *vdp_preemption_callback_register;
} x11_visual_vdpau_t;

#endif

